nn.pp.vmcore

## Enum VMCore.LockFailBehavior

- java.lang.Object
- - java.lang.Enum<VMCore.LockFailBehavior>
  - - nn.pp.vmcore.VMCore.LockFailBehavior

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VMCore.LockFailBehavior>
  Enclosing interface:
    VMCore

      public static enum VMCore.LockFailBehavior
      extends java.lang.Enum<VMCore.LockFailBehavior>

  Enumeration for locking failure behavior

  The `VMCore` tries to lock access to a drive if a virtual media session is established. This will prevent other processes from accessing this drive. Only with locked drives, virtual media operations may be performed safely. This enumeration determines what the core should do if the drive locking fails.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASK` Ask the caller if drive locking fails.
    `FAIL` Cancel the virtual media session if drive locking fails.
    `IGNORE` Ignore the locking error and continue the virtual media session.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VMCore.LockFailBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VMCore.LockFailBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAIL

          public static final VMCore.LockFailBehavior FAIL

      Cancel the virtual media session if drive locking fails.

    - #### ASK

          public static final VMCore.LockFailBehavior ASK

      Ask the caller if drive locking fails. In this case, a `VirtualMediaEventListener.driveLockingFailed()` event is generated and it's up to the caller to decide what to do. The default is CANCEL.

    - #### IGNORE

          public static final VMCore.LockFailBehavior IGNORE

      Ignore the locking error and continue the virtual media session.

  - ### Method Detail

    - #### values

          public static VMCore.LockFailBehavior[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VMCore.LockFailBehavior c : VMCore.LockFailBehavior.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VMCore.LockFailBehavior valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.